Skip to main content
GET
/
business-details
Retrieve a business details by api key
curl --request GET \
  --url https://sandbox.omnispay.com/api/business-details \
  --header 'X-HMAC-Signature: <api-key>' \
  --header 'accountId: <api-key>' \
  --header 'apiKey: <api-key>'
import requests

url = "https://sandbox.omnispay.com/api/business-details"

headers = {
"apiKey": "<api-key>",
"X-HMAC-Signature": "<api-key>",
"accountId": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {apiKey: '<api-key>', 'X-HMAC-Signature': '<api-key>', accountId: '<api-key>'}
};

fetch('https://sandbox.omnispay.com/api/business-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "message": "<string>",
  "response": {}
}
{
"status": "<string>",
"message": "<string>",
"response": {}
}
{
"status": "<string>",
"message": "<string>",
"response": {}
}
{
"status": "<string>",
"message": "<string>",
"response": {}
}
{
"status": "<string>",
"message": "<string>",
"response": {}
}
{
"status": "<string>",
"message": "<string>",
"response": {}
}
{
"status": "<string>",
"message": "<string>",
"response": {}
}
{
"status": "<string>",
"message": "<string>",
"response": {}
}

Retrieve Business Details by API Key

This endpoint retrieves business details from the database based on the provided API KEY.

Path Parameters

  • id (string, required):
    The unique identifier of the business record to be retrieved.
    • Example: QmEB3OK3rjTZS1SBjsXUxANWWh198y5uv
    • If a valid ID is provided, the API will return the business details.
📌 How it Works
The system fetches business details for the given api key and returns relevant information. If no matching business exists, a 404 Not Found response is returned.

Request Headers

  • User-Agent (string, optional): The User-Agent header, which is not mandatory.

Example Request

GET /business-details
User-Agent: Mozilla/5.0

Authorizations

apiKey
string
header
required
X-HMAC-Signature
string
header
required
accountId
string
header
required

Headers

User-Agent
string

Response

OK. Business details retrieved successfully

status
string
message
string
response
object